<div class="login-content">
    <mat-icon svgIcon="maarchLogo" class="maarchLogo"></mat-icon>
    <mat-card class="login-form">
        <form (ngSubmit)="generateLink()">
            <div class="alert-message alert-message-info" [innerHTML]="lang.afterClickingSendLinkChangePassword">
            </div>
            <mat-form-field class="input-row">
                <input name="login" matInput placeholder="{{lang.enterLogin}}" [(ngModel)]="newLogin.login" type="text" oninput="this.value = this.value.toLowerCase()">
            </mat-form-field>
            <button type="submit" mat-button [disabled]="newLogin.login == '' || loading">{{labelButton}}</button>
            <button type="button" mat-button (click)="cancel();">{{lang.cancel}}</button>
        </form>
    </mat-card>
</div>